#!/usr/bin/wish

if {$argc < 1} {
	puts "Usage: omnet2gnuplot.tcl prefix"
	exit
}
set prefix [lindex $argv 0]
set name_infile "$prefix.sca"
set name_outfile "$prefix.dat"

set infile [open $name_infile]
set outfile [open $name_outfile w+]

while {![eof $infile]} {
	set line [gets $infile]
	if {[lindex $line 0] == "scalar"} {
		set queuelength [lindex $line 2]
		set prob [lindex $line 3]
		if {($queuelength != "Mean queue length") && ($queuelength != "stime")} {
			puts $outfile "$queuelength  $prob"
		}
	}
}

close $infile
close $outfile

exit
